Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# SLight.h File Reference

`#include "SColor.h"`

Go to the source code of this file.

## Classes

struct | irr::video::SLight
| structure for holding data describing a dynamic point light. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video

| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum | irr::video::E_LIGHT_TYPE { irr::video::ELT_POINT, irr::video::ELT_SPOT, irr::video::ELT_DIRECTIONAL }
| Enumeration for different types of lights. More...

## Variables

const c8 *const | irr::video::LightTypeNames []
| Names for light types.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:59 2010 by Doxygen (1.6.2)